@echo off

SET Language=French
SET RegionId=Fr
SET Version=v8
SET ShortName=scity
SET LongName=SimCity

rem delete any previous copy of the patched file
if not exist "patchedRom\%ShortName%%RegionId%-msu1.sfc" goto keepPatching
del "patchedRom\%ShortName%%RegionId%-msu1.sfc" > nul

rem copy clean rom to patch folder for processing
:keepPatching
copy "cleanRom\%LongName%%Language%.sfc" "patchedRom\%ShortName%%RegionId%-msu1.sfc"

rem patch the clean rom!
flips "%LongName%Msu1-%Language%-%Version%.bps" "patchedRom\%ShortName%%RegionId%-msu1.sfc"
fsutil file createnew "patchedRom\%ShortName%%RegionId%-msu1.msu" 0 >nul
echo.
pause